summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAdriĆ  Arrufat2015-07-15 19:47:01 +0200
committerAdriĆ  Arrufat2015-07-15 19:47:01 +0200
commit8644e4342a970c0fd4306e79cbbf406badfd4926 (patch)
tree3a410c88fc90c02d02b0e0896d7d55961a53ed24
downloadaur-8644e4342a970c0fd4306e79cbbf406badfd4926.tar.gz
Initial import
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD29
2 files changed, 43 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..da5f67a61fb
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = pyuv
+ pkgdesc = A raw video sequence player
+ pkgver = 0.5
+ pkgrel = 1
+ url = http://dsplab.diei.unipg.it/pyuv_raw_video_sequence_player_original_one
+ arch = i686
+ arch = x86_64
+ license = unknown
+ depends = wxgtk
+ source = http://dsplab.diei.unipg.it/~baruffa/dvbt/binaries/player/lin32/pyuv_0.5-1_i386.deb
+ md5sums = 0e79185d6de4bfeb8c3ab56a26459cd6
+
+pkgname = pyuv
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..3372f2cebda
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,29 @@
+# Maintainer: Adria Arrufat (archdria) <swiftscythe@gmail.com>
+pkgname=pyuv
+pkgver=0.5
+pkgrel=1
+pkgdesc="A raw video sequence player"
+arch=('i686' 'x86_64')
+url="http://dsplab.diei.unipg.it/pyuv_raw_video_sequence_player_original_one"
+license=('unknown')
+depends=('wxgtk')
+
+if [ "${CARCH}" = 'x86_64' ]; then
+ ARCH='amd64'
+ md5sums=('5e6a89fab944c36fd689790a24f32477')
+ source=(http://dsplab.diei.unipg.it/~baruffa/dvbt/binaries/player/lin64/pyuv_0.5-1_x86_64.deb)
+else
+ ARCH='i386'
+ md5sums=('0e79185d6de4bfeb8c3ab56a26459cd6')
+ source=(http://dsplab.diei.unipg.it/~baruffa/dvbt/binaries/player/lin32/pyuv_0.5-1_i386.deb)
+fi
+
+package() {
+ msg "Extracting..."
+ tar -xvf data.tar.gz || return 1
+ msg2 "Done extracting!"
+ msg "Moving files"
+ mv $srcdir/usr $pkgdir
+ msg2 "Done moving files"
+
+}